> For the complete documentation index, see [llms.txt](https://docs.nearfi.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nearfi.finance/developer-guide/integrate-nearfi-dapp-browser-into-your-app/getting-account-information.md).

# Getting account information

## Read accountId

You can get the currently signed-in accountId with the following code example

```javascript
let currentAccountId = window.nearFiWallet.getAccountId()                
```

## Get account instance

```javascript
let accountInstance = window.nearFiWallet.account()                
```

## Utilizing the account instance

### Get networkId & RPC&#x20;

```javascript
let networkId = accountInstance.connection.networkId    
let rpcURL = accountInstance.connection.provider.connection.url                
```

### Get account NEAR balance

The object returned in the following code is an object typed\
nearBalance is an object typed as&#x20;

```javascript
interface AccountBalance {
    total: string;
    stateStaked: string;
    staked: string;
    available: string;
}
```

```javascript
let nearBalance = await accountInstance.getAccountBalance()
```

### Get account state

```javascript
let accountState = await accountInstance.state()
```

`accountState` has the following fields

```javascript
{
    amount: string; 
    locked: string; 
    code_hash: string; 
    storage_usage: number; 
    storage_paid_at: BlockHeight;
}
```

### Call view functions of contracts

```javascript
let result = await accountInstance.viewFunction(<contractId>, <method name>,<arguments>)

let result = await accountInstance.viewFunction("math.testnet", "add",{a: 0, b: 0})
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nearfi.finance/developer-guide/integrate-nearfi-dapp-browser-into-your-app/getting-account-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
